Bug 877633 (CVE-2012-4210) - CVE-2012-4210 Mozilla: CSS and HTML injection through Style Inspector (MFSA 2012-104)
Summary: CVE-2012-4210 Mozilla: CSS and HTML injection through Style Inspector (MFSA 2...
Status: CLOSED ERRATA
Alias: CVE-2012-4210
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20121120,repor...
Keywords: Security
Depends On:
Blocks: 873088
TreeView+ depends on / blocked
 
Reported: 2012-11-17 12:02 UTC by Huzaifa S. Sidhpurwala
Modified: 2013-01-16 16:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 16:51:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1482 normal SHIPPED_LIVE Critical: firefox security update 2012-11-21 03:10:31 UTC

Description Huzaifa S. Sidhpurwala 2012-11-17 12:02:49 UTC
Security researcher Mariusz Mlynski reported that when a maliciously crafted stylesheet is inspected in the Style Inspector, HTML and CSS can run in a chrome privileged context without being properly sanitized first. This can lead to arbitrary code execution.


External Reference:

http://www.mozilla.org/security/announce/2012/mfsa2012-104.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Mariusz Mlynski as the original reporter.

Comment 1 errata-xmlrpc 2012-11-20 22:12:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1482 https://rhn.redhat.com/errata/RHSA-2012-1482.html


Note You need to log in before you can comment on or make changes to this bug.